# template: scl
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name pulp_rpm_client

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 3.16.1
Release: 1%{?dist}
Summary: Pulp 3 RPM plugin API Ruby Gem
Group: Development/Languages
License: GPLv2
URL: https://github.com/pulp/pulp_rpm/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby >= 1.9
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(faraday) >= 0.14.0
Requires: %{?scl_prefix_ruby}rubygem(json) >= 2.1.0
Requires: %{?scl_prefix_ruby}rubygem(json) >= 2.1
Requires: %{?scl_prefix_ruby}rubygem(json) < 3
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby >= 1.9
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
# end specfile generated dependencies

%description
Client bindings for the pulp_rpm pulp3 plugin

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/git_push.sh
%exclude %{gem_cache}
%{gem_libdir}
%{gem_spec}

#workaround for https://pulp.plan.io/issues/8950
%exclude %{gem_instdir}/dist
%exclude %{gem_instdir}/build
%exclude %{gem_instdir}/test
%exclude %{gem_instdir}/pulpcore
%exclude %{gem_instdir}/pulp_rpm_client.egg-info
%exclude %{gem_instdir}/*.txt
%exclude %{gem_instdir}/*.cfg
%exclude %{gem_instdir}/*.ini
%exclude %{gem_instdir}/setup.py*

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/pulp_rpm_client.gemspec
%{gem_instdir}/spec

%changelog
* Tue Nov 02 2021 ianballou <ianballou67@gmail.com> 3.16.1-1
- Update to 3.16.1

* Wed Oct 06 2021 Justin Sherrill <jsherril@redhat.com> 3.15.0-1
- Update to 3.15.0

* Thu Jul 08 2021 James Jeffers <jjeffers@redhat.com> 3.13.3-1
- Update to 3.13.3

* Fri Jul 02 2021 James Jeffers <jjeffers@redhat.com> 3.13.2-1
- Update to 3.13.2

* Fri Apr 09 2021 ianballou <ianballou67@gmail.com> 3.10.0-1
- Update to 3.10.0

* Mon Mar 15 2021 Eric D. Helms <ericdhelms@gmail.com> - 3.9.0-2
- Rebuild for Ruby 2.7

* Wed Feb 24 2021 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 3.9.0-1
- Update to 3.9.0

* Mon Jan 11 2021 ianballou <ianballou67@gmail.com> 3.8.0-1
- Update to 3.8.0

* Thu Oct 15 2020 ianballou <ianballou67@gmail.com> 3.7.0-1
- Update to 3.7.0

* Tue Sep 08 2020 Justin Sherrill <jsherril@redhat.com> 3.6.2-1
- Update to 3.6.2

* Thu Aug 20 2020 Justin Sherrill <jsherril@redhat.com> 3.6.1-1
- Update to 3.6.1

* Mon Aug 03 2020 Samir Jha <sjha4@ncsu.edu> 3.5.0-1
- Update to 3.5.0

* Fri Jul 17 2020 Justin Sherrill <jsherril@redhat.com> 3.4.2-1
- Update to 3.4.2

* Mon Jun 08 2020 James Jeffers 3.4.1-1
- Update to 3.4.1

* Mon May 04 2020 Justin Sherrill <jsherril@redhat.com> 3.3.0-1
- Update to 3.3.0

* Thu Mar 26 2020 Samir Jha <sjha4@ncsu.edu> 3.2.0-1
- Update to 3.2.0

* Mon Jan 06 2020 Justin Sherrill <jsherril@redhat.com> 3.0.0-1
- Update to 3.0.0

* Thu Oct 10 2019 <Justin Sherrill> 3.0.0b7.dev01570381057-1
- Initial build generated by gem2rpm using the scl template
